Autore Topic: Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile  (Letto 327 volte)

Offline ChrisSoft

  • Nuovo arrivato
  • *
  • Post: 40
    • Mostra profilo
Buonasera, ho un problema con un sito che mi era rimasto indietro con le versioni (3.6.2, ne ho altri 2 aggiornati all'ultima release) e volevo riprenderlo e sistemarlo... mai cosa fu più deleteria.....

Per farla abbastanza breve, l'aggiornamento automatico non ne vuol sapere di funzionare, mi proponeva la 3.6.5 ed ho tentato di farlo... niente, si blocca con un ajax error di cui ho letto più o meno tutto in rete.... Ajax Loading Error: Error
L'hosting è aruba, ho provato invano a resettare i permessi dal pannello, la differenza è che parte la barra di aggiornamento ma si blocca prima del 10% restituendo sempre quell'errore....

Anche se so che è sconsigliatissima, non ho avuto altra strada che tentare la via dell'aggiornamento manuale..... scaricata la 3.6.5 l'ho installata ed è andata a buon fine.... il database è stato aggiornato mediante apposito tool...

A questo punto mi ha proposto la 3.9.8, ho tentato di aggiornare con il componente ma..... si è letteralmente sfasciato il sito, sia front che back-end, con questo errore: "error: 0 call to undefined method japplicationadministrator::isclient()"

Fortunatamente avevo un backup :P , che mi ha permesso di tornare alla 3.6.5.... da qui ho tentato allora di nuovo la famigerata procedura ftp, ma figurarsi, restituisce sempre quell'erroraccio non appena finisco di caricare i files.....


Ho letto su qualche forum che l'errore potrebbe derivare da un conflitto di versioni... il problema è che mi viene restituito anche se tento di upgradare con la procedura automatica..........

Quindi, dopo una bella giornata di backup e restore, mi trovo con il sito alla 3.6.5 e l'upgrade impossibile... qualcuno ha consigli su come fare? prima di chiedere le ho provate tutte....  :'(




Offline danielecr

  • Abituale
  • ****
  • Post: 1263
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #1 il: 03 Lug 2019, 21:14:23 »
Fai un tentativo 3.6.5 -> 3.7.5 -> 3.9.8

Offline ChrisSoft

  • Nuovo arrivato
  • *
  • Post: 40
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #2 il: 03 Lug 2019, 21:26:28 »
Fai un tentativo 3.6.5 -> 3.7.5 -> 3.9.8


Posso farlo solo via ftp però... se non sbaglio...

Offline danielecr

  • Abituale
  • ****
  • Post: 1263
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #3 il: 03 Lug 2019, 23:20:44 »
Carica il pacchetto di aggiornamento dal backend, non via ftp.

Offline ChrisSoft

  • Nuovo arrivato
  • *
  • Post: 40
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #4 il: 04 Lug 2019, 00:34:55 »
Nulla da fare, purtroppo  :'(


Carico il pacchetto, inizia ad installare, si blocca al 15% e restituisce il solito errore:

ERROR: AJAX Loading Error: Error


E appena torno al pannello di controllo mi da anche l'altro:


Call to undefined method JApplicationAdministrator::isClient()

E devo rimettere su il backup di nuovo
:-[


Offline ChrisSoft

  • Nuovo arrivato
  • *
  • Post: 40
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #6 il: 04 Lug 2019, 01:15:17 »


Per fortuna che hai letto più o meno tutto e le hai provate tutte...

https://forum.joomla.it/index.php?topic=267228.0


https://forum.joomla.it/index.php?topic=259998.0


Ci ero già passato di lì... non ci vedo niente di nuovo.....
Ho altri 2 siti (con joomla) sullo stesso hosting, ma non danno quel problema...... questo invece lo fa.....





Offline ChrisSoft

  • Nuovo arrivato
  • *
  • Post: 40
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #8 il: 04 Lug 2019, 01:45:47 »
visto che hai letto quasi tutto non ti sarà mica sfuggito questo post...

https://forum.joomla.it/index.php?topic=264972.0


E anche questo non mi dice molto di nuovo....


La procedura ftp è deprecata (lo sapevo, l'ho scritto nel primo post), si consiglia di utilizzare il componente (che però in questo caso NON funziona).......


Quindi, ho due scelte:


1 - mi tengo la 3.6.5, obsoleta e probabilmente vulnerabile (almeno ho upgradato dalla 3.6.2!!!!)
2 - riesco a trovare l'inghippo..... che probabilmente sta nella cartella /library/cms/... nelle nuove versioni ci sono 3 sottocartelle, in quella con la 3.6.5 ce ne sono una marea, tra cui una che si chiama "application" dove sta una delle chiamate sbagliate................ ma non volevo studiarmi tutto il core di joomla per poter fare un aggiornamento...........

Online tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 30326
  • Sesso: Maschio
  • Gli automatismi aiutano ma non insegnano nulla.
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #9 il: 04 Lug 2019, 07:01:25 »
Scusa ma hai chiesto il passaggio a nuovo server compatibile con joomla? Stesso hosting non significa stesso server e quell'errore dipende da un server non ottimizzato per joomla come sicuramente avrai letto  da più parti.
NEWS DataGrill Xataface Installer (Ver. 1.0.1) per Joomla 3.8.x - DEMO Gestione Magazzino

Offline ChrisSoft

  • Nuovo arrivato
  • *
  • Post: 40
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #10 il: 04 Lug 2019, 10:59:26 »
Scusa ma hai chiesto il passaggio a nuovo server compatibile con joomla? Stesso hosting non significa stesso server e quell'errore dipende da un server non ottimizzato per joomla come sicuramente avrai letto  da più parti.


Non ho chiesto, ma nel server attuale ho la possibilità di arrivare alla versione 7.1 di PHP e posso personalizzare le impostazioni del php.ini scegliendo la versione ottimizzata per Joomla.....
Da questo ho dedotto che il server supporta Joomla  ::)
Volevo evitare di imbarcarmi nell'ennesima avventura con i ticket....

Offline Pcfactory

  • Nuovo arrivato
  • *
  • Post: 5
    • Mostra profilo
Re:Tentato aggiornamento da 3.6.2 a 3.9.8... impossibile
« Risposta #11 il: 04 Lug 2019, 12:29:58 »
Ciao, io avevo lo stesso problema con aruba, ho chiesto di spostare il mio dominio su un server che supporti e aggiornamento del server MySQL. Fatto questo gli aggiornamenti automatici funziona senza problemi.
Prova a chiedere di fare la stessa cosa con il tuo dominio.
Buona giornata.

 

Host

Torna su